class Bookmark < ApplicationRecord
  belongs_to :video

  validates :time_elapsed, presence: true

  enum category: { "Other": 0, "Audio": 1, "Graphics": 2, "Video": 3 }

  def appears_at
    Timecode.from_seconds(time_elapsed.to_f).to_s
  end
end
